/*
 * JPA entity Metadaten
 *
 */
package de.ivu.elect.business.wahl.entity;

import javax.inject.Inject;
import javax.inject.Named;

import de.ivu.elect.business.wahl.entity.WahlartConstants;
import de.ivu.elect.jee.faces.Messages;

@Named(WahlartMeta.COMPONENT_NAME)
@javax.enterprise.context.ApplicationScoped // ELECT-7845
public class WahlartMeta implements de.ivu.elect.jee.entity.Meta
{

  private static final long serialVersionUID = 1L;

  public static final String COMPONENT_NAME = "wahlartMeta";

  @Inject
  private transient Messages messages;

  public WahlartMeta() {
      super();
  }

  protected String getMessage(String msgKey, Object... params) {
    return messages.getMessageForMessageKey(msgKey, params);
  }

  @Override
  public String getEinzahlMessageKey(){
    return WahlartConstants.MESSAGE_KEY_ENTITY_EINZAHL;
  }

  @Override
  public  String getMehrzahlMessageKey(){
    return WahlartConstants.MESSAGE_KEY_ENTITY_MEHRZAHL;
  }


  @Override
  public String getEinzahlMessage() {
    return getMessage(getEinzahlMessageKey());
  }

  @Override
  public String getMehrzahlMessage(){
    return getMessage(getMehrzahlMessageKey());
  }



  public String getMaxAnzahlErsatzkandidaturenEinzahlMessageKey(){
    return WahlartConstants.MESSAGE_KEY_ANZAHL_ERSATZKANDIDATEN_EINZAHL;
  }

  public String getMaxAnzahlErsatzkandidaturenMehrzahlMessageKey(){
    return WahlartConstants.MESSAGE_KEY_ANZAHL_ERSATZKANDIDATEN_MEHRZAHL;
  }


  public String getMaxAnzahlErsatzkandidaturenEinzahlMessage(){
    return getMessage(getMaxAnzahlErsatzkandidaturenEinzahlMessageKey());
  }

  public String getMaxAnzahlErsatzkandidaturenMehrzahlMessage(){
    return getMessage(getMaxAnzahlErsatzkandidaturenMehrzahlMessageKey());
  }



  public boolean isMaxAnzahlErsatzkandidaturenRequired() {
    return !WahlartConstants.ANZAHL_ERSATZKANDIDATEN_NULLABLE;
  }

  public java.lang.Long getMaxAnzahlErsatzkandidaturenDefaultValue() {
    return WahlartConstants.ANZAHL_ERSATZKANDIDATEN_DEFAULT_VALUE;
  }

  public int getMaxAnzahlErsatzkandidaturenMaxLength() {
    return WahlartConstants.ANZAHL_ERSATZKANDIDATEN_MAX_LENGTH;
  }

  public long getMaxAnzahlErsatzkandidaturenMinValue() {
    return WahlartConstants.ANZAHL_ERSATZKANDIDATEN_MIN_VALUE;
  }

  public long getMaxAnzahlErsatzkandidaturenMaxValue() {
    return WahlartConstants.ANZAHL_ERSATZKANDIDATEN_MAX_VALUE;
  }

  public String getMaxAnzahlErsatzkandidaturenArtEinzahlMessageKey(){
    return WahlartConstants.MESSAGE_KEY_ANZAHL_ERSATZKANDIDATEN_ART_EINZAHL;
  }

  public String getMaxAnzahlErsatzkandidaturenArtMehrzahlMessageKey(){
    return WahlartConstants.MESSAGE_KEY_ANZAHL_ERSATZKANDIDATEN_ART_MEHRZAHL;
  }


  public String getMaxAnzahlErsatzkandidaturenArtEinzahlMessage(){
    return getMessage(getMaxAnzahlErsatzkandidaturenArtEinzahlMessageKey());
  }

  public String getMaxAnzahlErsatzkandidaturenArtMehrzahlMessage(){
    return getMessage(getMaxAnzahlErsatzkandidaturenArtMehrzahlMessageKey());
  }



  public boolean isMaxAnzahlErsatzkandidaturenArtRequired() {
    return !WahlartConstants.ANZAHL_ERSATZKANDIDATEN_ART_NULLABLE;
  }

  public de.ivu.elect.business.wahl.entity.WahlartAnzahlErsatzkandidaturenArt getMaxAnzahlErsatzkandidaturenArtDefaultValue() {
    return WahlartConstants.ANZAHL_ERSATZKANDIDATEN_ART_DEFAULT_VALUE;
  }


  public String getAnzahlStimmenProWaehlerEinzahlMessageKey(){
    return WahlartConstants.MESSAGE_KEY_ANZAHL_STIMMEN_PRO_WAEHLER_EINZAHL;
  }

  public String getAnzahlStimmenProWaehlerMehrzahlMessageKey(){
    return WahlartConstants.MESSAGE_KEY_ANZAHL_STIMMEN_PRO_WAEHLER_MEHRZAHL;
  }


  public String getAnzahlStimmenProWaehlerEinzahlMessage(){
    return getMessage(getAnzahlStimmenProWaehlerEinzahlMessageKey());
  }

  public String getAnzahlStimmenProWaehlerMehrzahlMessage(){
    return getMessage(getAnzahlStimmenProWaehlerMehrzahlMessageKey());
  }



  public boolean isAnzahlStimmenProWaehlerRequired() {
    return !WahlartConstants.ANZAHL_STIMMEN_PRO_WAEHLER_NULLABLE;
  }

  public java.lang.Long getAnzahlStimmenProWaehlerDefaultValue() {
    return WahlartConstants.ANZAHL_STIMMEN_PRO_WAEHLER_DEFAULT_VALUE;
  }

  public int getAnzahlStimmenProWaehlerMaxLength() {
    return WahlartConstants.ANZAHL_STIMMEN_PRO_WAEHLER_MAX_LENGTH;
  }

  public long getAnzahlStimmenProWaehlerMinValue() {
    return WahlartConstants.ANZAHL_STIMMEN_PRO_WAEHLER_MIN_VALUE;
  }

  public long getAnzahlStimmenProWaehlerMaxValue() {
    return WahlartConstants.ANZAHL_STIMMEN_PRO_WAEHLER_MAX_VALUE;
  }

  public String getAnzahlStimmzettelEinzahlMessageKey(){
    return WahlartConstants.MESSAGE_KEY_ANZAHL_STIMMZETTEL_EINZAHL;
  }

  public String getAnzahlStimmzettelMehrzahlMessageKey(){
    return WahlartConstants.MESSAGE_KEY_ANZAHL_STIMMZETTEL_MEHRZAHL;
  }


  public String getAnzahlStimmzettelEinzahlMessage(){
    return getMessage(getAnzahlStimmzettelEinzahlMessageKey());
  }

  public String getAnzahlStimmzettelMehrzahlMessage(){
    return getMessage(getAnzahlStimmzettelMehrzahlMessageKey());
  }



  public boolean isAnzahlStimmzettelRequired() {
    return !WahlartConstants.ANZAHL_STIMMZETTEL_NULLABLE;
  }

  public java.lang.Long getAnzahlStimmzettelDefaultValue() {
    return WahlartConstants.ANZAHL_STIMMZETTEL_DEFAULT_VALUE;
  }

  public int getAnzahlStimmzettelMaxLength() {
    return WahlartConstants.ANZAHL_STIMMZETTEL_MAX_LENGTH;
  }

  public long getAnzahlStimmzettelMinValue() {
    return WahlartConstants.ANZAHL_STIMMZETTEL_MIN_VALUE;
  }

  public long getAnzahlStimmzettelMaxValue() {
    return WahlartConstants.ANZAHL_STIMMZETTEL_MAX_VALUE;
  }

  public String getCommonWahlartEinzahlMessageKey(){
    return WahlartConstants.MESSAGE_KEY_COMMON_WAHLART_EINZAHL;
  }

  public String getCommonWahlartMehrzahlMessageKey(){
    return WahlartConstants.MESSAGE_KEY_COMMON_WAHLART_MEHRZAHL;
  }


  public String getCommonWahlartEinzahlMessage(){
    return getMessage(getCommonWahlartEinzahlMessageKey());
  }

  public String getCommonWahlartMehrzahlMessage(){
    return getMessage(getCommonWahlartMehrzahlMessageKey());
  }



  public boolean isCommonWahlartRequired() {
    return !WahlartConstants.COMMON_WAHLART_NULLABLE;
  }

  public de.ivu.elect.business.wahl.entity.CommonWahlart getCommonWahlartDefaultValue() {
    return WahlartConstants.COMMON_WAHLART_DEFAULT_VALUE;
  }


  public String getDokumentvorlagenEinzahlMessageKey(){
    return WahlartConstants.MESSAGE_KEY_DOKUMENTVORLAGEN_EINZAHL;
  }

  public String getDokumentvorlagenMehrzahlMessageKey(){
    return WahlartConstants.MESSAGE_KEY_DOKUMENTVORLAGEN_MEHRZAHL;
  }


  public String getDokumentvorlagenEinzahlMessage(){
    return getMessage(getDokumentvorlagenEinzahlMessageKey());
  }

  public String getDokumentvorlagenMehrzahlMessage(){
    return getMessage(getDokumentvorlagenMehrzahlMessageKey());
  }



  public boolean isDokumentvorlagenRequired() {
    return !WahlartConstants.DOKUMENTVORLAGEN_NULLABLE;
  }

  public de.ivu.elect.business.wahl.entity.WahlartDokumentvorlagen getDokumentvorlagenDefaultValue() {
    return WahlartConstants.DOKUMENTVORLAGEN_DEFAULT_VALUE;
  }


  public String getErfassungUebernahmeArtEinzahlMessageKey(){
    return WahlartConstants.MESSAGE_KEY_ERFASSUNG_UEBERNAHME_ART_EINZAHL;
  }

  public String getErfassungUebernahmeArtMehrzahlMessageKey(){
    return WahlartConstants.MESSAGE_KEY_ERFASSUNG_UEBERNAHME_ART_MEHRZAHL;
  }


  public String getErfassungUebernahmeArtEinzahlMessage(){
    return getMessage(getErfassungUebernahmeArtEinzahlMessageKey());
  }

  public String getErfassungUebernahmeArtMehrzahlMessage(){
    return getMessage(getErfassungUebernahmeArtMehrzahlMessageKey());
  }



  public boolean isErfassungUebernahmeArtRequired() {
    return !WahlartConstants.ERFASSUNG_UEBERNAHME_ART_NULLABLE;
  }

  public de.ivu.elect.business.wahl.entity.WahlErgebniseingangUebernahmeArt getErfassungUebernahmeArtDefaultValue() {
    return WahlartConstants.ERFASSUNG_UEBERNAHME_ART_DEFAULT_VALUE;
  }


  public String getErfassungUebernahmeManuellEinzahlMessageKey(){
    return WahlartConstants.MESSAGE_KEY_ERFASSUNG_UEBERNAHME_MANUELL_EINZAHL;
  }

  public String getErfassungUebernahmeManuellMehrzahlMessageKey(){
    return WahlartConstants.MESSAGE_KEY_ERFASSUNG_UEBERNAHME_MANUELL_MEHRZAHL;
  }


  public String getErfassungUebernahmeManuellEinzahlMessage(){
    return getMessage(getErfassungUebernahmeManuellEinzahlMessageKey());
  }

  public String getErfassungUebernahmeManuellMehrzahlMessage(){
    return getMessage(getErfassungUebernahmeManuellMehrzahlMessageKey());
  }



  public boolean isErfassungUebernahmeManuellRequired() {
    return !WahlartConstants.ERFASSUNG_UEBERNAHME_MANUELL_NULLABLE;
  }

  public de.ivu.elect.business.wahl.entity.WahlErgebniseingangUebernahmeManuell getErfassungUebernahmeManuellDefaultValue() {
    return WahlartConstants.ERFASSUNG_UEBERNAHME_MANUELL_DEFAULT_VALUE;
  }


  public String getErgebnisartUmschaltbarEinzahlMessageKey(){
    return WahlartConstants.MESSAGE_KEY_ERGEBNISART_UMSCHALTBAR_EINZAHL;
  }

  public String getErgebnisartUmschaltbarMehrzahlMessageKey(){
    return WahlartConstants.MESSAGE_KEY_ERGEBNISART_UMSCHALTBAR_MEHRZAHL;
  }


  public String getErgebnisartUmschaltbarEinzahlMessage(){
    return getMessage(getErgebnisartUmschaltbarEinzahlMessageKey());
  }

  public String getErgebnisartUmschaltbarMehrzahlMessage(){
    return getMessage(getErgebnisartUmschaltbarMehrzahlMessageKey());
  }



  public boolean isErgebnisartUmschaltbarRequired() {
    return !WahlartConstants.ERGEBNISART_UMSCHALTBAR_NULLABLE;
  }

  public de.ivu.elect.business.wahl.entity.ErgebnisartUmschaltbar getErgebnisartUmschaltbarDefaultValue() {
    return WahlartConstants.ERGEBNISART_UMSCHALTBAR_DEFAULT_VALUE;
  }


  public String getFarbeEinzahlMessageKey(){
    return WahlartConstants.MESSAGE_KEY_FARBE_EINZAHL;
  }

  public String getFarbeMehrzahlMessageKey(){
    return WahlartConstants.MESSAGE_KEY_FARBE_MEHRZAHL;
  }


  public String getFarbeEinzahlMessage(){
    return getMessage(getFarbeEinzahlMessageKey());
  }

  public String getFarbeMehrzahlMessage(){
    return getMessage(getFarbeMehrzahlMessageKey());
  }



  public boolean isFarbeRequired() {
    return !WahlartConstants.FARBE_NULLABLE;
  }

  public java.lang.String getFarbeDefaultValue() {
    return WahlartConstants.FARBE_DEFAULT_VALUE;
  }

  public int getFarbeMaxLength() {
    return WahlartConstants.FARBE_MAX_LENGTH;
  }

  public String getGruppenreihenfolgeVorgegebenEinzahlMessageKey(){
    return WahlartConstants.MESSAGE_KEY_GRUPPENREIHENFOLGE_VORGEGEBEN_EINZAHL;
  }

  public String getGruppenreihenfolgeVorgegebenMehrzahlMessageKey(){
    return WahlartConstants.MESSAGE_KEY_GRUPPENREIHENFOLGE_VORGEGEBEN_MEHRZAHL;
  }


  public String getGruppenreihenfolgeVorgegebenEinzahlMessage(){
    return getMessage(getGruppenreihenfolgeVorgegebenEinzahlMessageKey());
  }

  public String getGruppenreihenfolgeVorgegebenMehrzahlMessage(){
    return getMessage(getGruppenreihenfolgeVorgegebenMehrzahlMessageKey());
  }



  public boolean isGruppenreihenfolgeVorgegebenRequired() {
    return !WahlartConstants.GRUPPENREIHENFOLGE_VORGEGEBEN_NULLABLE;
  }

  public java.lang.Boolean getGruppenreihenfolgeVorgegebenDefaultValue() {
    return WahlartConstants.GRUPPENREIHENFOLGE_VORGEGEBEN_DEFAULT_VALUE;
  }


  public String getGruppenvereinigungenErlaubtEinzahlMessageKey(){
    return WahlartConstants.MESSAGE_KEY_GRUPPENVEREINIGUNGEN_ERLAUBT_EINZAHL;
  }

  public String getGruppenvereinigungenErlaubtMehrzahlMessageKey(){
    return WahlartConstants.MESSAGE_KEY_GRUPPENVEREINIGUNGEN_ERLAUBT_MEHRZAHL;
  }


  public String getGruppenvereinigungenErlaubtEinzahlMessage(){
    return getMessage(getGruppenvereinigungenErlaubtEinzahlMessageKey());
  }

  public String getGruppenvereinigungenErlaubtMehrzahlMessage(){
    return getMessage(getGruppenvereinigungenErlaubtMehrzahlMessageKey());
  }



  public boolean isGruppenvereinigungenErlaubtRequired() {
    return !WahlartConstants.GRUPPENVEREINIGUNGEN_ERLAUBT_NULLABLE;
  }

  public java.lang.Boolean getGruppenvereinigungenErlaubtDefaultValue() {
    return WahlartConstants.GRUPPENVEREINIGUNGEN_ERLAUBT_DEFAULT_VALUE;
  }


  public String getKennzeichenEinzahlMessageKey(){
    return WahlartConstants.MESSAGE_KEY_KENNZEICHEN_EINZAHL;
  }

  public String getKennzeichenMehrzahlMessageKey(){
    return WahlartConstants.MESSAGE_KEY_KENNZEICHEN_MEHRZAHL;
  }


  public String getKennzeichenEinzahlMessage(){
    return getMessage(getKennzeichenEinzahlMessageKey());
  }

  public String getKennzeichenMehrzahlMessage(){
    return getMessage(getKennzeichenMehrzahlMessageKey());
  }



  public boolean isKennzeichenRequired() {
    return !WahlartConstants.KENNZEICHEN_NULLABLE;
  }

  public java.lang.String getKennzeichenDefaultValue() {
    return WahlartConstants.KENNZEICHEN_DEFAULT_VALUE;
  }

  public int getKennzeichenMaxLength() {
    return WahlartConstants.KENNZEICHEN_MAX_LENGTH;
  }

  public String getKurznameEinzahlMessageKey(){
    return WahlartConstants.MESSAGE_KEY_KURZNAME_EINZAHL;
  }

  public String getKurznameMehrzahlMessageKey(){
    return WahlartConstants.MESSAGE_KEY_KURZNAME_MEHRZAHL;
  }


  public String getKurznameEinzahlMessage(){
    return getMessage(getKurznameEinzahlMessageKey());
  }

  public String getKurznameMehrzahlMessage(){
    return getMessage(getKurznameMehrzahlMessageKey());
  }



  public boolean isKurznameRequired() {
    return !WahlartConstants.KURZNAME_NULLABLE;
  }

  public java.lang.String getKurznameDefaultValue() {
    return WahlartConstants.KURZNAME_DEFAULT_VALUE;
  }

  public int getKurznameMaxLength() {
    return WahlartConstants.KURZNAME_MAX_LENGTH;
  }

  public String getLeereListenErlaubtEinzahlMessageKey(){
    return WahlartConstants.MESSAGE_KEY_LEERE_LISTEN_ERLAUBT_EINZAHL;
  }

  public String getLeereListenErlaubtMehrzahlMessageKey(){
    return WahlartConstants.MESSAGE_KEY_LEERE_LISTEN_ERLAUBT_MEHRZAHL;
  }


  public String getLeereListenErlaubtEinzahlMessage(){
    return getMessage(getLeereListenErlaubtEinzahlMessageKey());
  }

  public String getLeereListenErlaubtMehrzahlMessage(){
    return getMessage(getLeereListenErlaubtMehrzahlMessageKey());
  }



  public boolean isLeereListenErlaubtRequired() {
    return !WahlartConstants.LEERE_LISTEN_ERLAUBT_NULLABLE;
  }

  public java.lang.Boolean getLeereListenErlaubtDefaultValue() {
    return WahlartConstants.LEERE_LISTEN_ERLAUBT_DEFAULT_VALUE;
  }


  public String getListenverbindungenErlaubtEinzahlMessageKey(){
    return WahlartConstants.MESSAGE_KEY_LISTENVERBINDUNGEN_ERLAUBT_EINZAHL;
  }

  public String getListenverbindungenErlaubtMehrzahlMessageKey(){
    return WahlartConstants.MESSAGE_KEY_LISTENVERBINDUNGEN_ERLAUBT_MEHRZAHL;
  }


  public String getListenverbindungenErlaubtEinzahlMessage(){
    return getMessage(getListenverbindungenErlaubtEinzahlMessageKey());
  }

  public String getListenverbindungenErlaubtMehrzahlMessage(){
    return getMessage(getListenverbindungenErlaubtMehrzahlMessageKey());
  }



  public boolean isListenverbindungenErlaubtRequired() {
    return !WahlartConstants.LISTENVERBINDUNGEN_ERLAUBT_NULLABLE;
  }

  public java.lang.Boolean getListenverbindungenErlaubtDefaultValue() {
    return WahlartConstants.LISTENVERBINDUNGEN_ERLAUBT_DEFAULT_VALUE;
  }


  public String getMaxAnzahlNennungenEinzahlMessageKey(){
    return WahlartConstants.MESSAGE_KEY_MAX_ANZAHL_NENNUNGEN_EINZAHL;
  }

  public String getMaxAnzahlNennungenMehrzahlMessageKey(){
    return WahlartConstants.MESSAGE_KEY_MAX_ANZAHL_NENNUNGEN_MEHRZAHL;
  }


  public String getMaxAnzahlNennungenEinzahlMessage(){
    return getMessage(getMaxAnzahlNennungenEinzahlMessageKey());
  }

  public String getMaxAnzahlNennungenMehrzahlMessage(){
    return getMessage(getMaxAnzahlNennungenMehrzahlMessageKey());
  }



  public boolean isMaxAnzahlNennungenRequired() {
    return !WahlartConstants.MAX_ANZAHL_NENNUNGEN_NULLABLE;
  }

  public java.lang.Long getMaxAnzahlNennungenDefaultValue() {
    return WahlartConstants.MAX_ANZAHL_NENNUNGEN_DEFAULT_VALUE;
  }

  public int getMaxAnzahlNennungenMaxLength() {
    return WahlartConstants.MAX_ANZAHL_NENNUNGEN_MAX_LENGTH;
  }

  public long getMaxAnzahlNennungenMinValue() {
    return WahlartConstants.MAX_ANZAHL_NENNUNGEN_MIN_VALUE;
  }

  public long getMaxAnzahlNennungenMaxValue() {
    return WahlartConstants.MAX_ANZAHL_NENNUNGEN_MAX_VALUE;
  }

  public String getNameEinzahlMessageKey(){
    return WahlartConstants.MESSAGE_KEY_NAME_EINZAHL;
  }

  public String getNameMehrzahlMessageKey(){
    return WahlartConstants.MESSAGE_KEY_NAME_MEHRZAHL;
  }


  public String getNameEinzahlMessage(){
    return getMessage(getNameEinzahlMessageKey());
  }

  public String getNameMehrzahlMessage(){
    return getMessage(getNameMehrzahlMessageKey());
  }



  public boolean isNameRequired() {
    return !WahlartConstants.NAME_NULLABLE;
  }

  public String getNameDefaultValue() {
    return WahlartConstants.NAME_DEFAULT_VALUE;
  }

  public int getNameMaxLength() {
    return WahlartConstants.NAME_MAX_LENGTH;
  }

  public String getSitzberechnungsalgorithmusEinzahlMessageKey(){
    return WahlartConstants.MESSAGE_KEY_SITZBERECHNUNGSALGORITHMUS_EINZAHL;
  }

  public String getSitzberechnungsalgorithmusMehrzahlMessageKey(){
    return WahlartConstants.MESSAGE_KEY_SITZBERECHNUNGSALGORITHMUS_MEHRZAHL;
  }


  public String getSitzberechnungsalgorithmusEinzahlMessage(){
    return getMessage(getSitzberechnungsalgorithmusEinzahlMessageKey());
  }

  public String getSitzberechnungsalgorithmusMehrzahlMessage(){
    return getMessage(getSitzberechnungsalgorithmusMehrzahlMessageKey());
  }



  public boolean isSitzberechnungsalgorithmusRequired() {
    return !WahlartConstants.SITZBERECHNUNGSALGORITHMUS_NULLABLE;
  }

  public de.ivu.elect.business.wahl.entity.WahlartSitzberechnungsalgorithmus getSitzberechnungsalgorithmusDefaultValue() {
    return WahlartConstants.SITZBERECHNUNGSALGORITHMUS_DEFAULT_VALUE;
  }


  public String getAnzahlStimmenProWaehlerArtEinzahlMessageKey(){
    return WahlartConstants.MESSAGE_KEY_STIMMEN_PRO_WAEHLER_ART_EINZAHL;
  }

  public String getAnzahlStimmenProWaehlerArtMehrzahlMessageKey(){
    return WahlartConstants.MESSAGE_KEY_STIMMEN_PRO_WAEHLER_ART_MEHRZAHL;
  }


  public String getAnzahlStimmenProWaehlerArtEinzahlMessage(){
    return getMessage(getAnzahlStimmenProWaehlerArtEinzahlMessageKey());
  }

  public String getAnzahlStimmenProWaehlerArtMehrzahlMessage(){
    return getMessage(getAnzahlStimmenProWaehlerArtMehrzahlMessageKey());
  }



  public boolean isAnzahlStimmenProWaehlerArtRequired() {
    return !WahlartConstants.STIMMEN_PRO_WAEHLER_ART_NULLABLE;
  }

  public de.ivu.elect.business.wahl.entity.WahlartStimmenProWaehlerArt getAnzahlStimmenProWaehlerArtDefaultValue() {
    return WahlartConstants.STIMMEN_PRO_WAEHLER_ART_DEFAULT_VALUE;
  }


  public String getSystemGebietsebeneEinzahlMessageKey(){
    return WahlartConstants.MESSAGE_KEY_SYSTEM_GEBIETSEBENE_EINZAHL;
  }

  public String getSystemGebietsebeneMehrzahlMessageKey(){
    return WahlartConstants.MESSAGE_KEY_SYSTEM_GEBIETSEBENE_MEHRZAHL;
  }


  public String getSystemGebietsebeneEinzahlMessage(){
    return getMessage(getSystemGebietsebeneEinzahlMessageKey());
  }

  public String getSystemGebietsebeneMehrzahlMessage(){
    return getMessage(getSystemGebietsebeneMehrzahlMessageKey());
  }



  public boolean isSystemGebietsebeneRequired() {
    return !WahlartConstants.SYSTEM_GEBIETSEBENE_NULLABLE;
  }

  public de.ivu.elect.business.wahl.entity.WahlartSystemGebietsebene getSystemGebietsebeneDefaultValue() {
    return WahlartConstants.SYSTEM_GEBIETSEBENE_DEFAULT_VALUE;
  }


  public String getTitelEinzahlMessageKey(){
    return WahlartConstants.MESSAGE_KEY_TITEL_EINZAHL;
  }

  public String getTitelMehrzahlMessageKey(){
    return WahlartConstants.MESSAGE_KEY_TITEL_MEHRZAHL;
  }


  public String getTitelEinzahlMessage(){
    return getMessage(getTitelEinzahlMessageKey());
  }

  public String getTitelMehrzahlMessage(){
    return getMessage(getTitelMehrzahlMessageKey());
  }



  public boolean isTitelRequired() {
    return !WahlartConstants.TITEL_NULLABLE;
  }

  public java.lang.String getTitelDefaultValue() {
    return WahlartConstants.TITEL_DEFAULT_VALUE;
  }

  public int getTitelMaxLength() {
    return WahlartConstants.TITEL_MAX_LENGTH;
  }

  public String getUmgangAOhneWahlscheinEndgueltigEinzahlMessageKey(){
    return WahlartConstants.MESSAGE_KEY_UMGANG_A1_ENDGUELTIG_EINZAHL;
  }

  public String getUmgangAOhneWahlscheinEndgueltigMehrzahlMessageKey(){
    return WahlartConstants.MESSAGE_KEY_UMGANG_A1_ENDGUELTIG_MEHRZAHL;
  }


  public String getUmgangAOhneWahlscheinEndgueltigEinzahlMessage(){
    return getMessage(getUmgangAOhneWahlscheinEndgueltigEinzahlMessageKey());
  }

  public String getUmgangAOhneWahlscheinEndgueltigMehrzahlMessage(){
    return getMessage(getUmgangAOhneWahlscheinEndgueltigMehrzahlMessageKey());
  }



  public boolean isUmgangAOhneWahlscheinEndgueltigRequired() {
    return !WahlartConstants.UMGANG_A1_ENDGUELTIG_NULLABLE;
  }

  public de.ivu.elect.business.wahl.entity.UmgangAWerte getUmgangAOhneWahlscheinEndgueltigDefaultValue() {
    return WahlartConstants.UMGANG_A1_ENDGUELTIG_DEFAULT_VALUE;
  }


  public String getUmgangAOhneWahlscheinVorlaeufigEinzahlMessageKey(){
    return WahlartConstants.MESSAGE_KEY_UMGANG_A1_VORLAEUFIG_EINZAHL;
  }

  public String getUmgangAOhneWahlscheinVorlaeufigMehrzahlMessageKey(){
    return WahlartConstants.MESSAGE_KEY_UMGANG_A1_VORLAEUFIG_MEHRZAHL;
  }


  public String getUmgangAOhneWahlscheinVorlaeufigEinzahlMessage(){
    return getMessage(getUmgangAOhneWahlscheinVorlaeufigEinzahlMessageKey());
  }

  public String getUmgangAOhneWahlscheinVorlaeufigMehrzahlMessage(){
    return getMessage(getUmgangAOhneWahlscheinVorlaeufigMehrzahlMessageKey());
  }



  public boolean isUmgangAOhneWahlscheinVorlaeufigRequired() {
    return !WahlartConstants.UMGANG_A1_VORLAEUFIG_NULLABLE;
  }

  public de.ivu.elect.business.wahl.entity.UmgangAWerte getUmgangAOhneWahlscheinVorlaeufigDefaultValue() {
    return WahlartConstants.UMGANG_A1_VORLAEUFIG_DEFAULT_VALUE;
  }


  public String getUmgangAMitWahlscheinEndgueltigEinzahlMessageKey(){
    return WahlartConstants.MESSAGE_KEY_UMGANG_A2_ENDGUELTIG_EINZAHL;
  }

  public String getUmgangAMitWahlscheinEndgueltigMehrzahlMessageKey(){
    return WahlartConstants.MESSAGE_KEY_UMGANG_A2_ENDGUELTIG_MEHRZAHL;
  }


  public String getUmgangAMitWahlscheinEndgueltigEinzahlMessage(){
    return getMessage(getUmgangAMitWahlscheinEndgueltigEinzahlMessageKey());
  }

  public String getUmgangAMitWahlscheinEndgueltigMehrzahlMessage(){
    return getMessage(getUmgangAMitWahlscheinEndgueltigMehrzahlMessageKey());
  }



  public boolean isUmgangAMitWahlscheinEndgueltigRequired() {
    return !WahlartConstants.UMGANG_A2_ENDGUELTIG_NULLABLE;
  }

  public de.ivu.elect.business.wahl.entity.UmgangAWerte getUmgangAMitWahlscheinEndgueltigDefaultValue() {
    return WahlartConstants.UMGANG_A2_ENDGUELTIG_DEFAULT_VALUE;
  }


  public String getUmgangAMitWahlscheinVorlaeufigEinzahlMessageKey(){
    return WahlartConstants.MESSAGE_KEY_UMGANG_A2_VORLAEUFIG_EINZAHL;
  }

  public String getUmgangAMitWahlscheinVorlaeufigMehrzahlMessageKey(){
    return WahlartConstants.MESSAGE_KEY_UMGANG_A2_VORLAEUFIG_MEHRZAHL;
  }


  public String getUmgangAMitWahlscheinVorlaeufigEinzahlMessage(){
    return getMessage(getUmgangAMitWahlscheinVorlaeufigEinzahlMessageKey());
  }

  public String getUmgangAMitWahlscheinVorlaeufigMehrzahlMessage(){
    return getMessage(getUmgangAMitWahlscheinVorlaeufigMehrzahlMessageKey());
  }



  public boolean isUmgangAMitWahlscheinVorlaeufigRequired() {
    return !WahlartConstants.UMGANG_A2_VORLAEUFIG_NULLABLE;
  }

  public de.ivu.elect.business.wahl.entity.UmgangAWerte getUmgangAMitWahlscheinVorlaeufigDefaultValue() {
    return WahlartConstants.UMGANG_A2_VORLAEUFIG_DEFAULT_VALUE;
  }


  public String getUmgangANichtImWaehlerverzeichnisEndgueltigEinzahlMessageKey(){
    return WahlartConstants.MESSAGE_KEY_UMGANG_A3_ENDGUELTIG_EINZAHL;
  }

  public String getUmgangANichtImWaehlerverzeichnisEndgueltigMehrzahlMessageKey(){
    return WahlartConstants.MESSAGE_KEY_UMGANG_A3_ENDGUELTIG_MEHRZAHL;
  }


  public String getUmgangANichtImWaehlerverzeichnisEndgueltigEinzahlMessage(){
    return getMessage(getUmgangANichtImWaehlerverzeichnisEndgueltigEinzahlMessageKey());
  }

  public String getUmgangANichtImWaehlerverzeichnisEndgueltigMehrzahlMessage(){
    return getMessage(getUmgangANichtImWaehlerverzeichnisEndgueltigMehrzahlMessageKey());
  }



  public boolean isUmgangANichtImWaehlerverzeichnisEndgueltigRequired() {
    return !WahlartConstants.UMGANG_A3_ENDGUELTIG_NULLABLE;
  }

  public de.ivu.elect.business.wahl.entity.UmgangAWerte getUmgangANichtImWaehlerverzeichnisEndgueltigDefaultValue() {
    return WahlartConstants.UMGANG_A3_ENDGUELTIG_DEFAULT_VALUE;
  }


  public String getUmgangANichtImWaehlerverzeichnisVorlaeufigEinzahlMessageKey(){
    return WahlartConstants.MESSAGE_KEY_UMGANG_A3_VORLAEUFIG_EINZAHL;
  }

  public String getUmgangANichtImWaehlerverzeichnisVorlaeufigMehrzahlMessageKey(){
    return WahlartConstants.MESSAGE_KEY_UMGANG_A3_VORLAEUFIG_MEHRZAHL;
  }


  public String getUmgangANichtImWaehlerverzeichnisVorlaeufigEinzahlMessage(){
    return getMessage(getUmgangANichtImWaehlerverzeichnisVorlaeufigEinzahlMessageKey());
  }

  public String getUmgangANichtImWaehlerverzeichnisVorlaeufigMehrzahlMessage(){
    return getMessage(getUmgangANichtImWaehlerverzeichnisVorlaeufigMehrzahlMessageKey());
  }



  public boolean isUmgangANichtImWaehlerverzeichnisVorlaeufigRequired() {
    return !WahlartConstants.UMGANG_A3_VORLAEUFIG_NULLABLE;
  }

  public de.ivu.elect.business.wahl.entity.UmgangAWerte getUmgangANichtImWaehlerverzeichnisVorlaeufigDefaultValue() {
    return WahlartConstants.UMGANG_A3_VORLAEUFIG_DEFAULT_VALUE;
  }


  public String getUmgangAGesamtEndgueltigEinzahlMessageKey(){
    return WahlartConstants.MESSAGE_KEY_UMGANG_A_G_ENDGUELTIG_EINZAHL;
  }

  public String getUmgangAGesamtEndgueltigMehrzahlMessageKey(){
    return WahlartConstants.MESSAGE_KEY_UMGANG_A_G_ENDGUELTIG_MEHRZAHL;
  }


  public String getUmgangAGesamtEndgueltigEinzahlMessage(){
    return getMessage(getUmgangAGesamtEndgueltigEinzahlMessageKey());
  }

  public String getUmgangAGesamtEndgueltigMehrzahlMessage(){
    return getMessage(getUmgangAGesamtEndgueltigMehrzahlMessageKey());
  }



  public boolean isUmgangAGesamtEndgueltigRequired() {
    return !WahlartConstants.UMGANG_A_G_ENDGUELTIG_NULLABLE;
  }

  public de.ivu.elect.business.wahl.entity.UmgangAWerte getUmgangAGesamtEndgueltigDefaultValue() {
    return WahlartConstants.UMGANG_A_G_ENDGUELTIG_DEFAULT_VALUE;
  }


  public String getUmgangAGesamtVorlaeufigEinzahlMessageKey(){
    return WahlartConstants.MESSAGE_KEY_UMGANG_A_G_VORLAEUFIG_EINZAHL;
  }

  public String getUmgangAGesamtVorlaeufigMehrzahlMessageKey(){
    return WahlartConstants.MESSAGE_KEY_UMGANG_A_G_VORLAEUFIG_MEHRZAHL;
  }


  public String getUmgangAGesamtVorlaeufigEinzahlMessage(){
    return getMessage(getUmgangAGesamtVorlaeufigEinzahlMessageKey());
  }

  public String getUmgangAGesamtVorlaeufigMehrzahlMessage(){
    return getMessage(getUmgangAGesamtVorlaeufigMehrzahlMessageKey());
  }



  public boolean isUmgangAGesamtVorlaeufigRequired() {
    return !WahlartConstants.UMGANG_A_G_VORLAEUFIG_NULLABLE;
  }

  public de.ivu.elect.business.wahl.entity.UmgangAWerte getUmgangAGesamtVorlaeufigDefaultValue() {
    return WahlartConstants.UMGANG_A_G_VORLAEUFIG_DEFAULT_VALUE;
  }


  public String getUmgangBOhneWahlscheinEndgueltigEinzahlMessageKey(){
    return WahlartConstants.MESSAGE_KEY_UMGANG_B1_ENDGUELTIG_EINZAHL;
  }

  public String getUmgangBOhneWahlscheinEndgueltigMehrzahlMessageKey(){
    return WahlartConstants.MESSAGE_KEY_UMGANG_B1_ENDGUELTIG_MEHRZAHL;
  }


  public String getUmgangBOhneWahlscheinEndgueltigEinzahlMessage(){
    return getMessage(getUmgangBOhneWahlscheinEndgueltigEinzahlMessageKey());
  }

  public String getUmgangBOhneWahlscheinEndgueltigMehrzahlMessage(){
    return getMessage(getUmgangBOhneWahlscheinEndgueltigMehrzahlMessageKey());
  }



  public boolean isUmgangBOhneWahlscheinEndgueltigRequired() {
    return !WahlartConstants.UMGANG_B1_ENDGUELTIG_NULLABLE;
  }

  public de.ivu.elect.business.wahl.entity.UmgangBWerte getUmgangBOhneWahlscheinEndgueltigDefaultValue() {
    return WahlartConstants.UMGANG_B1_ENDGUELTIG_DEFAULT_VALUE;
  }


  public String getUmgangBOhneWahlscheinVorlaeufigEinzahlMessageKey(){
    return WahlartConstants.MESSAGE_KEY_UMGANG_B1_VORLAEUFIG_EINZAHL;
  }

  public String getUmgangBOhneWahlscheinVorlaeufigMehrzahlMessageKey(){
    return WahlartConstants.MESSAGE_KEY_UMGANG_B1_VORLAEUFIG_MEHRZAHL;
  }


  public String getUmgangBOhneWahlscheinVorlaeufigEinzahlMessage(){
    return getMessage(getUmgangBOhneWahlscheinVorlaeufigEinzahlMessageKey());
  }

  public String getUmgangBOhneWahlscheinVorlaeufigMehrzahlMessage(){
    return getMessage(getUmgangBOhneWahlscheinVorlaeufigMehrzahlMessageKey());
  }



  public boolean isUmgangBOhneWahlscheinVorlaeufigRequired() {
    return !WahlartConstants.UMGANG_B1_VORLAEUFIG_NULLABLE;
  }

  public de.ivu.elect.business.wahl.entity.UmgangBWerte getUmgangBOhneWahlscheinVorlaeufigDefaultValue() {
    return WahlartConstants.UMGANG_B1_VORLAEUFIG_DEFAULT_VALUE;
  }


  public String getUmgangBMitWahlscheinEndgueltigEinzahlMessageKey(){
    return WahlartConstants.MESSAGE_KEY_UMGANG_B2_ENDGUELTIG_EINZAHL;
  }

  public String getUmgangBMitWahlscheinEndgueltigMehrzahlMessageKey(){
    return WahlartConstants.MESSAGE_KEY_UMGANG_B2_ENDGUELTIG_MEHRZAHL;
  }


  public String getUmgangBMitWahlscheinEndgueltigEinzahlMessage(){
    return getMessage(getUmgangBMitWahlscheinEndgueltigEinzahlMessageKey());
  }

  public String getUmgangBMitWahlscheinEndgueltigMehrzahlMessage(){
    return getMessage(getUmgangBMitWahlscheinEndgueltigMehrzahlMessageKey());
  }



  public boolean isUmgangBMitWahlscheinEndgueltigRequired() {
    return !WahlartConstants.UMGANG_B2_ENDGUELTIG_NULLABLE;
  }

  public de.ivu.elect.business.wahl.entity.UmgangBWerte getUmgangBMitWahlscheinEndgueltigDefaultValue() {
    return WahlartConstants.UMGANG_B2_ENDGUELTIG_DEFAULT_VALUE;
  }


  public String getUmgangBMitWahlscheinVorlaeufigEinzahlMessageKey(){
    return WahlartConstants.MESSAGE_KEY_UMGANG_B2_VORLAEUFIG_EINZAHL;
  }

  public String getUmgangBMitWahlscheinVorlaeufigMehrzahlMessageKey(){
    return WahlartConstants.MESSAGE_KEY_UMGANG_B2_VORLAEUFIG_MEHRZAHL;
  }


  public String getUmgangBMitWahlscheinVorlaeufigEinzahlMessage(){
    return getMessage(getUmgangBMitWahlscheinVorlaeufigEinzahlMessageKey());
  }

  public String getUmgangBMitWahlscheinVorlaeufigMehrzahlMessage(){
    return getMessage(getUmgangBMitWahlscheinVorlaeufigMehrzahlMessageKey());
  }



  public boolean isUmgangBMitWahlscheinVorlaeufigRequired() {
    return !WahlartConstants.UMGANG_B2_VORLAEUFIG_NULLABLE;
  }

  public de.ivu.elect.business.wahl.entity.UmgangBWerte getUmgangBMitWahlscheinVorlaeufigDefaultValue() {
    return WahlartConstants.UMGANG_B2_VORLAEUFIG_DEFAULT_VALUE;
  }


  public String getUmgangBGesamtEndgueltigEinzahlMessageKey(){
    return WahlartConstants.MESSAGE_KEY_UMGANG_B_G_ENDGUELTIG_EINZAHL;
  }

  public String getUmgangBGesamtEndgueltigMehrzahlMessageKey(){
    return WahlartConstants.MESSAGE_KEY_UMGANG_B_G_ENDGUELTIG_MEHRZAHL;
  }


  public String getUmgangBGesamtEndgueltigEinzahlMessage(){
    return getMessage(getUmgangBGesamtEndgueltigEinzahlMessageKey());
  }

  public String getUmgangBGesamtEndgueltigMehrzahlMessage(){
    return getMessage(getUmgangBGesamtEndgueltigMehrzahlMessageKey());
  }



  public boolean isUmgangBGesamtEndgueltigRequired() {
    return !WahlartConstants.UMGANG_B_G_ENDGUELTIG_NULLABLE;
  }

  public de.ivu.elect.business.wahl.entity.UmgangBWerte getUmgangBGesamtEndgueltigDefaultValue() {
    return WahlartConstants.UMGANG_B_G_ENDGUELTIG_DEFAULT_VALUE;
  }


  public String getUmgangBGesamtVorlaeufigEinzahlMessageKey(){
    return WahlartConstants.MESSAGE_KEY_UMGANG_B_G_VORLAEUFIG_EINZAHL;
  }

  public String getUmgangBGesamtVorlaeufigMehrzahlMessageKey(){
    return WahlartConstants.MESSAGE_KEY_UMGANG_B_G_VORLAEUFIG_MEHRZAHL;
  }


  public String getUmgangBGesamtVorlaeufigEinzahlMessage(){
    return getMessage(getUmgangBGesamtVorlaeufigEinzahlMessageKey());
  }

  public String getUmgangBGesamtVorlaeufigMehrzahlMessage(){
    return getMessage(getUmgangBGesamtVorlaeufigMehrzahlMessageKey());
  }



  public boolean isUmgangBGesamtVorlaeufigRequired() {
    return !WahlartConstants.UMGANG_B_G_VORLAEUFIG_NULLABLE;
  }

  public de.ivu.elect.business.wahl.entity.UmgangBWerte getUmgangBGesamtVorlaeufigDefaultValue() {
    return WahlartConstants.UMGANG_B_G_VORLAEUFIG_DEFAULT_VALUE;
  }


  public String getUmgangGueltigeEndgueltigEinzahlMessageKey(){
    return WahlartConstants.MESSAGE_KEY_UMGANG_GUELTIGE_ENDGUELTIG_EINZAHL;
  }

  public String getUmgangGueltigeEndgueltigMehrzahlMessageKey(){
    return WahlartConstants.MESSAGE_KEY_UMGANG_GUELTIGE_ENDGUELTIG_MEHRZAHL;
  }


  public String getUmgangGueltigeEndgueltigEinzahlMessage(){
    return getMessage(getUmgangGueltigeEndgueltigEinzahlMessageKey());
  }

  public String getUmgangGueltigeEndgueltigMehrzahlMessage(){
    return getMessage(getUmgangGueltigeEndgueltigMehrzahlMessageKey());
  }



  public boolean isUmgangGueltigeEndgueltigRequired() {
    return !WahlartConstants.UMGANG_GUELTIGE_ENDGUELTIG_NULLABLE;
  }

  public de.ivu.elect.business.wahl.entity.UmgangGueltigeWerte getUmgangGueltigeEndgueltigDefaultValue() {
    return WahlartConstants.UMGANG_GUELTIGE_ENDGUELTIG_DEFAULT_VALUE;
  }


  public String getUmgangGueltigeVorlaeufigEinzahlMessageKey(){
    return WahlartConstants.MESSAGE_KEY_UMGANG_GUELTIGE_VORLAEUFIG_EINZAHL;
  }

  public String getUmgangGueltigeVorlaeufigMehrzahlMessageKey(){
    return WahlartConstants.MESSAGE_KEY_UMGANG_GUELTIGE_VORLAEUFIG_MEHRZAHL;
  }


  public String getUmgangGueltigeVorlaeufigEinzahlMessage(){
    return getMessage(getUmgangGueltigeVorlaeufigEinzahlMessageKey());
  }

  public String getUmgangGueltigeVorlaeufigMehrzahlMessage(){
    return getMessage(getUmgangGueltigeVorlaeufigMehrzahlMessageKey());
  }



  public boolean isUmgangGueltigeVorlaeufigRequired() {
    return !WahlartConstants.UMGANG_GUELTIGE_VORLAEUFIG_NULLABLE;
  }

  public de.ivu.elect.business.wahl.entity.UmgangGueltigeWerte getUmgangGueltigeVorlaeufigDefaultValue() {
    return WahlartConstants.UMGANG_GUELTIGE_VORLAEUFIG_DEFAULT_VALUE;
  }


  public String getUmgangAPruefkennzeichenEndgueltigEinzahlMessageKey(){
    return WahlartConstants.MESSAGE_KEY_UMGANG_PRUEFZEICHEN_ENDGUELTIG_EINZAHL;
  }

  public String getUmgangAPruefkennzeichenEndgueltigMehrzahlMessageKey(){
    return WahlartConstants.MESSAGE_KEY_UMGANG_PRUEFZEICHEN_ENDGUELTIG_MEHRZAHL;
  }


  public String getUmgangAPruefkennzeichenEndgueltigEinzahlMessage(){
    return getMessage(getUmgangAPruefkennzeichenEndgueltigEinzahlMessageKey());
  }

  public String getUmgangAPruefkennzeichenEndgueltigMehrzahlMessage(){
    return getMessage(getUmgangAPruefkennzeichenEndgueltigMehrzahlMessageKey());
  }



  public boolean isUmgangAPruefkennzeichenEndgueltigRequired() {
    return !WahlartConstants.UMGANG_PRUEFZEICHEN_ENDGUELTIG_NULLABLE;
  }

  public de.ivu.elect.business.wahl.entity.UmgangAWerte getUmgangAPruefkennzeichenEndgueltigDefaultValue() {
    return WahlartConstants.UMGANG_PRUEFZEICHEN_ENDGUELTIG_DEFAULT_VALUE;
  }


  public String getUmgangAPruefkennzeichenVorlaeufigEinzahlMessageKey(){
    return WahlartConstants.MESSAGE_KEY_UMGANG_PRUEFZEICHEN_VORLAEUFIG_EINZAHL;
  }

  public String getUmgangAPruefkennzeichenVorlaeufigMehrzahlMessageKey(){
    return WahlartConstants.MESSAGE_KEY_UMGANG_PRUEFZEICHEN_VORLAEUFIG_MEHRZAHL;
  }


  public String getUmgangAPruefkennzeichenVorlaeufigEinzahlMessage(){
    return getMessage(getUmgangAPruefkennzeichenVorlaeufigEinzahlMessageKey());
  }

  public String getUmgangAPruefkennzeichenVorlaeufigMehrzahlMessage(){
    return getMessage(getUmgangAPruefkennzeichenVorlaeufigMehrzahlMessageKey());
  }



  public boolean isUmgangAPruefkennzeichenVorlaeufigRequired() {
    return !WahlartConstants.UMGANG_PRUEFZEICHEN_VORLAEUFIG_NULLABLE;
  }

  public de.ivu.elect.business.wahl.entity.UmgangAWerte getUmgangAPruefkennzeichenVorlaeufigDefaultValue() {
    return WahlartConstants.UMGANG_PRUEFZEICHEN_VORLAEUFIG_DEFAULT_VALUE;
  }


  public String getUmgangUngueltigeEndgueltigEinzahlMessageKey(){
    return WahlartConstants.MESSAGE_KEY_UMGANG_UNGUELTIGE_ENDGUELTIG_EINZAHL;
  }

  public String getUmgangUngueltigeEndgueltigMehrzahlMessageKey(){
    return WahlartConstants.MESSAGE_KEY_UMGANG_UNGUELTIGE_ENDGUELTIG_MEHRZAHL;
  }


  public String getUmgangUngueltigeEndgueltigEinzahlMessage(){
    return getMessage(getUmgangUngueltigeEndgueltigEinzahlMessageKey());
  }

  public String getUmgangUngueltigeEndgueltigMehrzahlMessage(){
    return getMessage(getUmgangUngueltigeEndgueltigMehrzahlMessageKey());
  }



  public boolean isUmgangUngueltigeEndgueltigRequired() {
    return !WahlartConstants.UMGANG_UNGUELTIGE_ENDGUELTIG_NULLABLE;
  }

  public de.ivu.elect.business.wahl.entity.UmgangGueltigeWerte getUmgangUngueltigeEndgueltigDefaultValue() {
    return WahlartConstants.UMGANG_UNGUELTIGE_ENDGUELTIG_DEFAULT_VALUE;
  }


  public String getUmgangUngueltigeVorlaeufigEinzahlMessageKey(){
    return WahlartConstants.MESSAGE_KEY_UMGANG_UNGUELTIGE_VORLAEUFIG_EINZAHL;
  }

  public String getUmgangUngueltigeVorlaeufigMehrzahlMessageKey(){
    return WahlartConstants.MESSAGE_KEY_UMGANG_UNGUELTIGE_VORLAEUFIG_MEHRZAHL;
  }


  public String getUmgangUngueltigeVorlaeufigEinzahlMessage(){
    return getMessage(getUmgangUngueltigeVorlaeufigEinzahlMessageKey());
  }

  public String getUmgangUngueltigeVorlaeufigMehrzahlMessage(){
    return getMessage(getUmgangUngueltigeVorlaeufigMehrzahlMessageKey());
  }



  public boolean isUmgangUngueltigeVorlaeufigRequired() {
    return !WahlartConstants.UMGANG_UNGUELTIGE_VORLAEUFIG_NULLABLE;
  }

  public de.ivu.elect.business.wahl.entity.UmgangGueltigeWerte getUmgangUngueltigeVorlaeufigDefaultValue() {
    return WahlartConstants.UMGANG_UNGUELTIGE_VORLAEUFIG_DEFAULT_VALUE;
  }


  public String getWahlausschussbezeichnungEinzahlMessageKey(){
    return WahlartConstants.MESSAGE_KEY_WAHLAUSSCHUSSBEZEICHNUNG_EINZAHL;
  }

  public String getWahlausschussbezeichnungMehrzahlMessageKey(){
    return WahlartConstants.MESSAGE_KEY_WAHLAUSSCHUSSBEZEICHNUNG_MEHRZAHL;
  }


  public String getWahlausschussbezeichnungEinzahlMessage(){
    return getMessage(getWahlausschussbezeichnungEinzahlMessageKey());
  }

  public String getWahlausschussbezeichnungMehrzahlMessage(){
    return getMessage(getWahlausschussbezeichnungMehrzahlMessageKey());
  }



  public boolean isWahlausschussbezeichnungRequired() {
    return !WahlartConstants.WAHLAUSSCHUSSBEZEICHNUNG_NULLABLE;
  }

  public java.lang.String getWahlausschussbezeichnungDefaultValue() {
    return WahlartConstants.WAHLAUSSCHUSSBEZEICHNUNG_DEFAULT_VALUE;
  }

  public int getWahlausschussbezeichnungMaxLength() {
    return WahlartConstants.WAHLAUSSCHUSSBEZEICHNUNG_MAX_LENGTH;
  }

  public String getWahlberechtigungImAuslandEinzahlMessageKey(){
    return WahlartConstants.MESSAGE_KEY_WAHLBERECHTIGUNG_IM_AUSLAND_EINZAHL;
  }

  public String getWahlberechtigungImAuslandMehrzahlMessageKey(){
    return WahlartConstants.MESSAGE_KEY_WAHLBERECHTIGUNG_IM_AUSLAND_MEHRZAHL;
  }


  public String getWahlberechtigungImAuslandEinzahlMessage(){
    return getMessage(getWahlberechtigungImAuslandEinzahlMessageKey());
  }

  public String getWahlberechtigungImAuslandMehrzahlMessage(){
    return getMessage(getWahlberechtigungImAuslandMehrzahlMessageKey());
  }



  public boolean isWahlberechtigungImAuslandRequired() {
    return !WahlartConstants.WAHLBERECHTIGUNG_IM_AUSLAND_NULLABLE;
  }

  public de.ivu.elect.business.wahl.entity.WahlberechtigungImAusland getWahlberechtigungImAuslandDefaultValue() {
    return WahlartConstants.WAHLBERECHTIGUNG_IM_AUSLAND_DEFAULT_VALUE;
  }


  public String getWahlbezeichnungLangEinzahlMessageKey(){
    return WahlartConstants.MESSAGE_KEY_WAHLBEZEICHNUNG_LANG_EINZAHL;
  }

  public String getWahlbezeichnungLangMehrzahlMessageKey(){
    return WahlartConstants.MESSAGE_KEY_WAHLBEZEICHNUNG_LANG_MEHRZAHL;
  }


  public String getWahlbezeichnungLangEinzahlMessage(){
    return getMessage(getWahlbezeichnungLangEinzahlMessageKey());
  }

  public String getWahlbezeichnungLangMehrzahlMessage(){
    return getMessage(getWahlbezeichnungLangMehrzahlMessageKey());
  }



  public boolean isWahlbezeichnungLangRequired() {
    return !WahlartConstants.WAHLBEZEICHNUNG_LANG_NULLABLE;
  }

  public java.lang.String getWahlbezeichnungLangDefaultValue() {
    return WahlartConstants.WAHLBEZEICHNUNG_LANG_DEFAULT_VALUE;
  }

  public int getWahlbezeichnungLangMaxLength() {
    return WahlartConstants.WAHLBEZEICHNUNG_LANG_MAX_LENGTH;
  }

  public String getZulassungspruefungEinzahlMessageKey(){
    return WahlartConstants.MESSAGE_KEY_ZULASSUNGSPRUEFUNG_EINZAHL;
  }

  public String getZulassungspruefungMehrzahlMessageKey(){
    return WahlartConstants.MESSAGE_KEY_ZULASSUNGSPRUEFUNG_MEHRZAHL;
  }


  public String getZulassungspruefungEinzahlMessage(){
    return getMessage(getZulassungspruefungEinzahlMessageKey());
  }

  public String getZulassungspruefungMehrzahlMessage(){
    return getMessage(getZulassungspruefungMehrzahlMessageKey());
  }



  public boolean isZulassungspruefungRequired() {
    return !WahlartConstants.ZULASSUNGSPRUEFUNG_NULLABLE;
  }

  public de.ivu.elect.business.wahl.entity.Zulassungspruefung getZulassungspruefungDefaultValue() {
    return WahlartConstants.ZULASSUNGSPRUEFUNG_DEFAULT_VALUE;
  }


  public String getZuWaehlendesGremiumEinzahlMessageKey(){
    return WahlartConstants.MESSAGE_KEY_ZU_WAEHLENDES_GREMIUM_EINZAHL;
  }

  public String getZuWaehlendesGremiumMehrzahlMessageKey(){
    return WahlartConstants.MESSAGE_KEY_ZU_WAEHLENDES_GREMIUM_MEHRZAHL;
  }


  public String getZuWaehlendesGremiumEinzahlMessage(){
    return getMessage(getZuWaehlendesGremiumEinzahlMessageKey());
  }

  public String getZuWaehlendesGremiumMehrzahlMessage(){
    return getMessage(getZuWaehlendesGremiumMehrzahlMessageKey());
  }



  public boolean isZuWaehlendesGremiumRequired() {
    return !WahlartConstants.ZU_WAEHLENDES_GREMIUM_NULLABLE;
  }

  public java.lang.String getZuWaehlendesGremiumDefaultValue() {
    return WahlartConstants.ZU_WAEHLENDES_GREMIUM_DEFAULT_VALUE;
  }

  public int getZuWaehlendesGremiumMaxLength() {
    return WahlartConstants.ZU_WAEHLENDES_GREMIUM_MAX_LENGTH;
  }


  public String getMandantEinzahlMessageKey(){
    return WahlartConstants.MESSAGE_KEY_MANDANT_ID_EINZAHL;
  }

  public String getMandantEinzahlMessage(){
    return getMessage(getMandantEinzahlMessageKey());
  }

  public boolean isMandantRequired() {
    return !WahlartConstants.MANDANT_ID_NULLABLE;
  }

}